package com.bohuikeji.delivery.backstage.constants;

import lombok.Data;

/**
 * 微信模板消息枚举类
 * @author 孙劲辉
 */
public enum WxTmplEm {
    /**
     * 同城急送小程序
     */
    COURIER_ORDER_NEW("骑手新订单提醒模板","M4Mid3rP0uOAViOi9WB7krLkKcdy0dkcC2scm8QzVkg","","#FF0000","#173177");

    /**
     * 应用名称
     */
    private String name;
    /**
     * 模板id
     */
    private String templateId;
    /**
     * 模板点击地址
     */
    private String url;

    /**
     * 小程序APPID
     */
    private String mpAppid;
    /**
     * 小程序打开页面，可携带参数,如：index?foo=bar
     */
    private String mpPagePath;

    /**
     * 模板顶栏颜色号
     */
    private String topColor;

    /**
     * 参数颜色号
     */
    private String paramColor;

    /**
     * 微信用户类型常量——骑手
     */
    public static final String WX_USER_TYPE_COURIER="COURIER";
    /**
     * 微信用户类型常量——客户
     */
    public static final String WX_USER_TYPE_CUSTOMER="CUSTOMER";

    WxTmplEm(String name, String templateId, String url, String topColor, String paramColor) {
        this.name = name;
        this.templateId = templateId;
        this.url = url;
        this.topColor = topColor;
        this.paramColor = paramColor;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getTopColor() {
        return topColor;
    }

    public void setTopColor(String topColor) {
        this.topColor = topColor;
    }

    public String getParamColor() {
        return paramColor;
    }

    public void setParamColor(String paramColor) {
        this.paramColor = paramColor;
    }

    public String getMpAppid() {
        return mpAppid;
    }

    public void setMpAppid(String mpAppid) {
        this.mpAppid = mpAppid;
    }

    public String getMpPagePath() {
        return mpPagePath;
    }

    public void setMpPagePath(String mpPagePath) {
        this.mpPagePath = mpPagePath;
    }
}
